org.jbpm.process.workitem.email

## Class TemplateManager

- java.lang.Object
- - org.jbpm.process.workitem.email.TemplateManager

-     public class TemplateManager
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TemplateManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `static TemplateManager` | `get()`
    `protected void` | `loadTemplate(File templateFile)`
    `protected void` | `loadTemplates()`
    `protected String` | `read(InputStream input)`
    `void` | `registerTemplate(String id, Object template)`
    `protected void` | `removeTemplate(File templateFile)`
    `String` | `render(String templateName, Map<String,Object> parameters)`
    `static TemplateManager` | `reset()`
    `protected String` | `resolveTemplateId(File templateFile)`
    `void` | `unregisterTemplate(String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateManager

          protected TemplateManager()

  - ### Method Detail

    - #### get

          public static TemplateManager get()

    - #### reset

          public static TemplateManager reset()

    - #### render

          public String render(String templateName,
                               Map<String,Object> parameters)

    - #### registerTemplate

          public void registerTemplate(String id,
                                       Object template)

    - #### unregisterTemplate

          public void unregisterTemplate(String id)

    - #### loadTemplates

          protected void loadTemplates()

    - #### loadTemplate

          protected void loadTemplate(File templateFile)

    - #### removeTemplate

          protected void removeTemplate(File templateFile)

    - #### resolveTemplateId

          protected String resolveTemplateId(File templateFile)

    - #### read

          protected String read(InputStream input)

    - #### close

          public void close()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.